## org.eclipse.emf.cdo.defs.util
Class CDODefsAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.cdo.defs.util.CDODefsAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class CDODefsAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `CDODefsPackage`

Field Summary
`protected static CDODefsPackage` `modelPackage` The cached model package.
`protected CDODefsSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`CDODefsAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createCDOAuditDefAdapter()` Creates a new adapter for an object of class '`CDO Audit Def`'
`org.eclipse.emf.common.notify.Adapter` `createCDOClientProtocolFactoryDefAdapter()` Creates a new adapter for an object of class '`CDO Client Protocol Factory Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOEagerPackageRegistryDefAdapter()` Creates a new adapter for an object of class '`CDO Eager Package Registry Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOLazyPackageRegistryDefAdapter()` Creates a new adapter for an object of class '`CDO Lazy Package Registry Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOPackageRegistryDefAdapter()` Creates a new adapter for an object of class '`CDO Package Registry Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOResourceDefAdapter()` Creates a new adapter for an object of class '`CDO Resource Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOSessionDefAdapter()` Creates a new adapter for an object of class '`CDO Session Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOTransactionDefAdapter()` Creates a new adapter for an object of class '`CDO Transaction Def`'.
`org.eclipse.emf.common.notify.Adapter` `createCDOViewDefAdapter()` Creates a new adapter for an object of class '`CDO View Def`'
`org.eclipse.emf.common.notify.Adapter` `createClientProtocolFactoryDefAdapter()` Creates a new adapter for an object of class '`Client Protocol Factory Def`'.
`org.eclipse.emf.common.notify.Adapter` `createDefAdapter()` Creates a new adapter for an object of class '`Def`'.
`org.eclipse.emf.common.notify.Adapter` `createEDynamicPackageDefAdapter()` Creates a new adapter for an object of class '`EDynamic Package Def`'.
`org.eclipse.emf.common.notify.Adapter` `createEGlobalPackageDefAdapter()` Creates a new adapter for an object of class '`EGlobal Package Def`'.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createEPackageDefAdapter()` Creates a new adapter for an object of class '`EPackage Def`'
`org.eclipse.emf.common.notify.Adapter` `createFailOverStrategyDefAdapter()` Creates a new adapter for an object of class '`Fail Over Strategy Def`'.
`org.eclipse.emf.common.notify.Adapter` `createProtocolProviderDefAdapter()` Creates a new adapter for an object of class '`Protocol Provider Def`'.
`org.eclipse.emf.common.notify.Adapter` `createRetryFailOverStrategyDefAdapter()` Creates a new adapter for an object of class '`Retry Fail Over Strategy Def`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static CDODefsPackage modelPackage

  The cached model package.

### modelSwitch

    protected CDODefsSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### CDODefsAdapterFactory

    public CDODefsAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createCDOViewDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOViewDefAdapter()

  Creates a new adapter for an object of class '`CDO View Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOViewDef`

### createCDOTransactionDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOTransactionDefAdapter()

  Creates a new adapter for an object of class '`CDO Transaction Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOTransactionDef`

### createCDOAuditDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOAuditDefAdapter()

  Creates a new adapter for an object of class '`CDO Audit Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOAuditDef`

### createCDOSessionDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOSessionDefAdapter()

  Creates a new adapter for an object of class '`CDO Session Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOSessionDef`

### createFailOverStrategyDefAdapter

    public org.eclipse.emf.common.notify.Adapter createFailOverStrategyDefAdapter()

  Creates a new adapter for an object of class '`Fail Over Strategy Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FailOverStrategyDef`

### createRetryFailOverStrategyDefAdapter

    public org.eclipse.emf.common.notify.Adapter createRetryFailOverStrategyDefAdapter()

  Creates a new adapter for an object of class '`Retry Fail Over Strategy Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RetryFailOverStrategyDef`

### createCDOPackageRegistryDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOPackageRegistryDefAdapter()

  Creates a new adapter for an object of class '`CDO Package Registry Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOPackageRegistryDef`

### createCDOEagerPackageRegistryDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOEagerPackageRegistryDefAdapter()

  Creates a new adapter for an object of class '`CDO Eager Package Registry Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOEagerPackageRegistryDef`

### createCDOLazyPackageRegistryDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOLazyPackageRegistryDefAdapter()

  Creates a new adapter for an object of class '`CDO Lazy Package Registry Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOLazyPackageRegistryDef`

### createEPackageDefAdapter

    public org.eclipse.emf.common.notify.Adapter createEPackageDefAdapter()

  Creates a new adapter for an object of class '`EPackage Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EPackageDef`

### createEDynamicPackageDefAdapter

    public org.eclipse.emf.common.notify.Adapter createEDynamicPackageDefAdapter()

  Creates a new adapter for an object of class '`EDynamic Package Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDynamicPackageDef`

### createEGlobalPackageDefAdapter

    public org.eclipse.emf.common.notify.Adapter createEGlobalPackageDefAdapter()

  Creates a new adapter for an object of class '`EGlobal Package Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EGlobalPackageDef`

### createCDOClientProtocolFactoryDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOClientProtocolFactoryDefAdapter()

  Creates a new adapter for an object of class '`CDO Client Protocol Factory Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOClientProtocolFactoryDef`

### createCDOResourceDefAdapter

    public org.eclipse.emf.common.notify.Adapter createCDOResourceDefAdapter()

  Creates a new adapter for an object of class '`CDO Resource Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CDOResourceDef`

### createDefAdapter

    public org.eclipse.emf.common.notify.Adapter createDefAdapter()

  Creates a new adapter for an object of class '`Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Def`

### createProtocolProviderDefAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolProviderDefAdapter()

  Creates a new adapter for an object of class '`Protocol Provider Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ProtocolProviderDef`

### createClientProtocolFactoryDefAdapter

    public org.eclipse.emf.common.notify.Adapter createClientProtocolFactoryDefAdapter()

  Creates a new adapter for an object of class '`Client Protocol Factory Def`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ClientProtocolFactoryDef`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.